import React from 'react';
import { NavLink } from 'react-router-dom';
import { connect } from 'react-redux';
//import './Menu.css';

function LinkTo(props) {

	let link = props.links.map(link => {
		return <li key={link.toString()}><NavLink to={link.url}>{link.name}</NavLink></li>
	});

	return(
		<ul>{link}</ul>
	);
}

class Menu extends React.Component {

	render() {
		return (
			<div>
				<nav>
					<LinkTo links = {this.props.menuList}/>
				</nav>
			</div>
		);
  	}
}

///

Menu = connect(
	function mapStateToProps(state) {
		return {
			menuList: state.menuReducer
		}
	}
)(Menu);

export default Menu;
