import React from 'react';

import { render } from 'react-dom';
import { createStore, applyMiddleware } from 'redux';

import Routes from './Routes';
import todoBase from './reducers';


import registerServiceWorker from './registerServiceWorker';
import thunkMiddleware from 'redux-thunk';


let store = createStore(todoBase,applyMiddleware(thunkMiddleware));

render(
	<Routes store={store} />,
	document.getElementById('root')
);

registerServiceWorker();
